package org.seasar.quartz;

import junit.framework.TestCase;
import org.quartz.JobDetail;

public class SimpleTriggerTest extends TestCase {

    public void testConstructor() {
	SimpleTrigger simpleTrigger = new SimpleTrigger();
	assertEquals("DEFAULT", simpleTrigger.getGroup());
	assertNotNull(simpleTrigger.getStartTime());
    }

    public void testSetJobDetail() {
	SimpleTrigger simpleTrigger = new SimpleTrigger();
	JobDetail jobDetail = new JobDetail();
	jobDetail.setName("testName");
	jobDetail.setGroup("testGroup");
	simpleTrigger.setJobDetail(jobDetail);
	assertEquals("testName", simpleTrigger.getJobName());
	assertEquals("testGroup", simpleTrigger.getJobGroup());
    }
}
